summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Tindal <urilith@gentoo.org>2005-06-04 17:59:27 +0000
committerMichael Tindal <urilith@gentoo.org>2005-06-04 17:59:27 +0000
commit0f1195485c4eae27767917e198e9f8c7376a0514 (patch)
treea651d7565d542164c2f18937e6d27a21542b92b6 /eclass/apache-module.eclass
parentRestrict block of gtk-engines-thinice. Resolves bug #46357. (diff)
downloadhistorical-0f1195485c4eae27767917e198e9f8c7376a0514.tar.gz
historical-0f1195485c4eae27767917e198e9f8c7376a0514.tar.bz2
historical-0f1195485c4eae27767917e198e9f8c7376a0514.zip
Fixing a bug with MPMs (again).
Diffstat (limited to 'eclass/apache-module.eclass')
-rw-r--r--eclass/apache-module.eclass15
1 files changed, 8 insertions, 7 deletions
diff --git a/eclass/apache-module.eclass b/eclass/apache-module.eclass
index 83b1a129472a..50e7c77a68aa 100644
--- a/eclass/apache-module.eclass
+++ b/eclass/apache-module.eclass
@@ -1,7 +1,7 @@
# Copyright 2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Michael Tindal <urilith@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.7 2005/06/01 22:54:45 urilith Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-module.eclass,v 1.8 2005/06/04 17:59:27 urilith Exp $
ECLASS=apache-module
INHERITED="$INHERITED $ECLASS"
@@ -235,12 +235,13 @@ apache2_pkg_setup() {
if [ -n "${APACHE2_SAFE_MPMS}" ]; then
- for mpm in ${APACHE2_SAFE_MPMS}; do
- MPM_USE="mpm-${mpm}"
- if built_with_use apache ${MPM_USE}; then
- INSTALLED_MPM_SAFE="yes"
- fi
- done
+ INSTALLED_MPM="$(apxs2 -q MPM_NAME)"
+
+ if ! hasq ${INSTALLED_MPM} ${APACHE2_SAFE_MPMS} ; then
+ INSTALLED_MPM_UNSAFE="yes"
+ else
+ INSTALLED_MPM_SAFE="yes"
+ fi
if [ -z "${INSTALLED_MPM_SAFE}" ] ; then
eerror "The module you are trying to install (${PN})"